## com.google.javascript.jscomp
Class FunctionInformationMap.Module

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  com.google.javascript.jscomp.FunctionInformationMap.Module

All Implemented Interfaces:
  FunctionInformationMap.ModuleOrBuilder, com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable

Enclosing class:
  FunctionInformationMap

    public static final class FunctionInformationMap.Module

extends com.google.protobuf.GeneratedMessage
implements FunctionInformationMap.ModuleOrBuilder

See Also:
  Serialized Form

Nested Class Summary
`static class` | `FunctionInformationMap.Module.Builder`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `COMPILED_SOURCE_FIELD_NUMBER`
`static int` | `NAME_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`String` | `getCompiledSource()`
`static FunctionInformationMap.Module` | `getDefaultInstance()`
`FunctionInformationMap.Module` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`String` | `getName()`
`int` | `getSerializedSize()`
`boolean` | `hasCompiledSource()`
`boolean` | `hasName()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static FunctionInformationMap.Module.Builder` | `newBuilder()`
`static FunctionInformationMap.Module.Builder` | `newBuilder(FunctionInformationMap.Module prototype)`
`FunctionInformationMap.Module.Builder` | `newBuilderForType()`
`protected FunctionInformationMap.Module.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static FunctionInformationMap.Module` | `parseDelimitedFrom(InputStream input)`
`static FunctionInformationMap.Module` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Module` | `parseFrom(byte[] data)`
`static FunctionInformationMap.Module` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Module` | `parseFrom(com.google.protobuf.ByteString data)`
`static FunctionInformationMap.Module` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Module` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static FunctionInformationMap.Module` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Module` | `parseFrom(InputStream input)`
`static FunctionInformationMap.Module` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`FunctionInformationMap.Module.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### NAME_FIELD_NUMBER

    public static final int NAME_FIELD_NUMBER

See Also:
  Constant Field Values

### COMPILED_SOURCE_FIELD_NUMBER

    public static final int COMPILED_SOURCE_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static FunctionInformationMap.Module getDefaultInstance()

### getDefaultInstanceForType

    public FunctionInformationMap.Module getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### hasName

    public boolean hasName()

  Specified by:
    `hasName` in interface `FunctionInformationMap.ModuleOrBuilder`

### getName

    public String getName()

  Specified by:
    `getName` in interface `FunctionInformationMap.ModuleOrBuilder`

### hasCompiledSource

    public boolean hasCompiledSource()

  Specified by:
    `hasCompiledSource` in interface `FunctionInformationMap.ModuleOrBuilder`

### getCompiledSource

    public String getCompiledSource()

  Specified by:
    `getCompiledSource` in interface `FunctionInformationMap.ModuleOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static FunctionInformationMap.Module parseFrom(com.google.protobuf.ByteString data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static FunctionInformationMap.Module parseFrom(com.google.protobuf.ByteString data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static FunctionInformationMap.Module parseFrom(byte[] data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static FunctionInformationMap.Module parseFrom(byte[] data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static FunctionInformationMap.Module parseFrom(InputStream input)
                                                   throws IOException

  Throws:
    `IOException`

### parseFrom

    public static FunctionInformationMap.Module parseFrom(InputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static FunctionInformationMap.Module parseDelimitedFrom(InputStream input)
                                                            throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static FunctionInformationMap.Module parseDelimitedFrom(InputStream input,
                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                            throws IOException

  Throws:
    `IOException`

### parseFrom

    public static FunctionInformationMap.Module parseFrom(com.google.protobuf.CodedInputStream input)
                                                   throws IOException

  Throws:
    `IOException`

### parseFrom

    public static FunctionInformationMap.Module parseFrom(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

  Throws:
    `IOException`

### newBuilder

    public static FunctionInformationMap.Module.Builder newBuilder()

### newBuilderForType

    public FunctionInformationMap.Module.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static FunctionInformationMap.Module.Builder newBuilder(FunctionInformationMap.Module prototype)

### toBuilder

    public FunctionInformationMap.Module.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected FunctionInformationMap.Module.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`